Bug 58885 - Missing MD5.pm wrapper for legacy scripts
Summary: Missing MD5.pm wrapper for legacy scripts
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: perl-Digest-MD5   
(Show other bugs)
Version: 7.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Chip Turner
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-01-26 18:38 UTC by Robert K. Moniot
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-26 18:38:53 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert K. Moniot 2002-01-26 18:38:48 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.9-13 i686)

Description of problem:
Previously the perl package included
/usr/lib/perl5/site_perl/5.6.0/i386-linux/MD5.pm which is a wrapper for
Digest::MD5.pm for legacy scripts.  The perl-Digest-MD5 package omits this
module, causing such scripts to break.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Write the following perl script:
   #!/usr/bin/perl
   use MD5;

2.Run the script.
3.


Actual Results:  Can't locate MD5.pm in @INC (@INC contains:
/usr/lib/perl5/5.6.0/i386-linux /usr/lib/perl5/5.6.0
/usr/lib/perl5/site_perl/5.6.0/i386-linux /usr/lib/perl5/site_perl/5.6.0
/usr/lib/perl5/site_perl .) at tmp/md5.pl line 3.
BEGIN failed--compilation aborted at tmp/md5.pl line 3.


Expected Results:  Script should exit normally with no output.

Additional info:

An example of a legacy script using MD5 (not Digest::MD5) is neomail 1.25,
available from neomail.sourceforge.net.  This perl CGI is an interface to Unix
mail.  It stops working when perl-Digest-MD5 is installed.  It works if the
missing file /usr/lib/perl5/site_perl/5.6.0/i386-linux/MD5.pm is replaced from a
backup.

Comment 1 Chip Turner 2002-01-31 20:49:14 UTC
MD5.pm is deprecated; neomail, and all perl apps, should switch to Digest::MD5.
 maintaining compatibility forever isn't going to help people use the right module.

reference to deprecated state:

http://search.cpan.org/doc/GAAS/MD5-2.02/MD5.pm


Note You need to log in before you can comment on or make changes to this bug.